# Uses of Interface
java.lang.classfile.attribute.SourceFileAttribute

Packages that use SourceFileAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of SourceFileAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type SourceFileAttribute
Modifier and Type
Method
Description
`static AttributeMapper<SourceFileAttribute>`
Attributes.`sourceFile()`
Returns the mapper for the `SourceFile` attribute.

## Uses of SourceFileAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type SourceFileAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`SourceFileAttribute`
Models the `SourceFile` attribute (JVMS §4.7.10), which indicates the name of the source file from which this `class` file was compiled.
Methods in java.lang.classfile.attribute that return SourceFileAttribute
Modifier and Type
Method
Description
`static SourceFileAttribute`
SourceFileAttribute.`of(Utf8Entry sourceFile)`
Returns a source file attribute.
`static SourceFileAttribute`
SourceFileAttribute.`of(String sourceFile)`
Returns a source file attribute.